# Generated from gravatarify-3.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gravatarify

Name: rubygem-%{gem_name}
Version: 3.1.1
Release: 1%{?dist}
Summary: Awesome gravatar support for Ruby (and Rails)
License: MIT
URL: https://github.com/lwe/gravatarify
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(shoulda) >= 2.10.2
# BuildRequires: rubygem(rr) >= 0.10.5
# BuildRequires: rubygem(activesupport) >= 3.0.0
BuildArch: noarch

%description
Ruby (and Rails) Gravatar helpers with unique options like Proc's for default
images, support for gravatar.com's multiple host names, ability to define
reusable styles and much more...


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gravatarify.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 3.1.1-1
- Initial package
